Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 271889 - Stabilization of KDE 3.5.10
Summary: Stabilization of KDE 3.5.10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords: STABLEREQ
: 210664 273139 (view as bug list)
Depends on: kde-3.5.10 274537 275062 275128
Blocks: CVE-2008-4382 CVE-2008-4514 CVE-2008-5698 264603 264613
  Show dependency tree
 
Reported: 2009-05-30 17:08 UTC by Theo Chatzimichos (RETIRED)
Modified: 2009-10-27 19:11 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
List with kde3 packages to be stabilized (kde-all,6.71 KB, text/plain)
2009-06-06 13:02 UTC, Theo Chatzimichos (RETIRED)
Details
Updated full list with kdnssd-avahi (kde-all,6.74 KB, text/plain)
2009-06-06 14:21 UTC, Theo Chatzimichos (RETIRED)
Details
Output of the oneliner (kde-all-update,5.10 KB, text/plain)
2009-06-10 09:56 UTC, Theo Chatzimichos (RETIRED)
Details
List of kde 3.5.10 blockers (kde3.5.10_blockers.txt,28.49 KB, text/plain)
2009-06-11 12:25 UTC, Joseph D. Wieber, Jr.
Details
Updated list with missing kde3 packages for each arch (kde3_missing.txt,13.82 KB, text/plain)
2009-08-25 14:46 UTC, Theo Chatzimichos (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-05-30 17:08:17 UTC
This is the last KDE 3 version and it is time to be stabilized.
Target ARCHs are alpha, amd64, hppa, ia64, ~mips, ppc, ppc64, sparc, x86, ~x86-fbsd
List of packages are the following sets:
http://git.overlays.gentoo.org/gitweb/?p=proj/kde-crazy.git;a=tree;f=sets;h=968f9145cd0b02830b45bf6ff9af03862d0f36b5;hb=HEAD

PS. All the bugs in the tracker are minor issues that don't block the stabilization, and Jorge as KDE Team lead gave the OK. We'll keep the tracker for further kde3 bugs as well.

Thank you
Comment 1 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-05-30 17:12:56 UTC
*** Bug 210664 has been marked as a duplicate of this bug. ***
Comment 2 Tomáš Chvátal (RETIRED) gentoo-dev 2009-05-31 09:21:44 UTC
The sets are missing kde-base/*-meta:3.5 packages.
They must be stabled too.

Cheers.
Comment 3 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-05-31 20:23:41 UTC
there was a kdebase-4.1 set which i removed.
Also i have added a kdedeps-3.5 set with the metas and some basic depedencies that weren't included anywhere else.
Please don't stabilize kitchensync because libopensync has to be stabilized as well and i don't have the OK of the maintainers.
Also, stabilize x11-misc/xdg-utils-1.0.2-r3
Comment 4 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-05-31 21:10:22 UTC
As a result, for now no stabilization of:
app-pda/libopensync-0.36-r1
kde-base/kitchensync:3.5
kde-base/kdepim-meta:3.5
kde-base/kde-meta:3.5

Please stabilize the latest revision of the packages (I guess you already know that ;) )
Thanks and sorry for the mess
Comment 5 nixnut (RETIRED) gentoo-dev 2009-05-31 21:46:03 UTC
ppc mostly done
remains of the day: kitchensync, kdepim-meta and kde-meta
Comment 6 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-06-01 15:27:50 UTC
ok, as scarabeus pointed me out, libopensync-0.3x series is marked beta by upstream, so i guess we should stabilize kde-base/kitchensync-3.5.10 which depends on libopensync-0.2x series which is stable for gentoo (only missing ~x86-fbsd). So archs please mark kde-base/kitchensync-3.5.10 stable instead of -r1. Thanks
Comment 7 nixnut (RETIRED) gentoo-dev 2009-06-01 16:49:21 UTC
ppc stable.
Comment 8 Jeroen Roovers gentoo-dev 2009-06-06 11:40:44 UTC
What a mess...
Comment 9 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-06-06 13:02:05 UTC
Created attachment 193719 [details]
List with kde3 packages to be stabilized

Forgot to add bindings, CC'ing ppc64 again.
Also remember to stabilize the latest revision of every package, apart from kitchensync. Thanks
Comment 10 Markus Meier gentoo-dev 2009-06-06 13:34:35 UTC
amd64/x86 stable
Comment 11 Chris Ribble 2009-06-06 13:52:05 UTC
(In reply to comment #10)
> amd64/x86 stable
> 

When I try to emerge -auvtND world, I have to add the following packages to /etc/portage/package.keywords

kdebase-startkde
kde-base/kdesktop

and even then I still get these errors:

[blocks B     ]      <=kde-base/kdebase-startkde-3.5.10-r3 ("<=kde-base/kdebase-startkde-3.5.10-r3" is blocking kde-base/kdelibs-3.5.10-r6)

Total: 235 packages (232 upgrades, 2 new, 1 reinstall, 1 uninstall), Size of downloads: 293,181 kB
Conflict: 20 blocks

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

kde-base/kdelibs:3.5

  ('installed', '/', 'kde-base/kdelibs-3.5.9-r4', 'nomerge') pulled in by
    ~kde-base/kdelibs-3.5.9 required by ('installed', '/', 'kde-base/korganizer-3.5.9', 'nomerge')
    ~kde-base/kdelibs-3.5.9 required by ('installed', '/', 'kde-base/kitchensync-3.5.9', 'nomerge')
    ~kde-base/kdelibs-3.5.9 required by ('installed', '/', 'kde-base/kde-meta-3.5.9', 'nomerge')
    (and 19 more)

  ('ebuild', '/', 'kde-base/kdelibs-3.5.10-r6', 'merge') pulled in by
    ~kde-base/kdelibs-3.5.10 required by ('ebuild', '/', 'kde-base/kdebugdialog-3.5.10', 'merge')
    ~kde-base/kdelibs-3.5.10 required by ('ebuild', '/', 'kde-base/kate-3.5.10', 'merge')
    ~kde-base/kdelibs-3.5.10 required by ('ebuild', '/', 'kde-base/kommander-3.5.10', 'merge')
    (and 208 more)


kdebase-startkde-3.5.10-r5 is still not marked stable. Even when I add kdebase-startkde-3.5.10 to /etc/portage/package.keywords

Doesn't look done to me.
Comment 12 Michael Mair-Keimberger 2009-06-06 14:05:18 UTC
For me, update works fine. I think you need to re-sync your tree, then it should work ;)
Comment 13 Chris Ribble 2009-06-06 14:08:50 UTC
(In reply to comment #12)
> For me, update works fine. I think you need to re-sync your tree, then it
> should work ;)
> 


I just re-synced and it works fine now. Yay for syncing 3 times this morning (and probably getting banned for the next 48 hours).
Comment 14 Ferris McCormick (RETIRED) gentoo-dev 2009-06-06 14:13:49 UTC
(In reply to comment #8)
> What a mess...
> 

Yeah, it's great to have to 'emerge -C <lots of packages>' by hand when this hits stable.
Comment 15 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-06-06 14:20:08 UTC
No, the upgrade is smooth, users should wait until this is fully transfered in their mirrors, so please sync very later today, to be sure.
@maekke
Sorry to bug you again but i need kde-misc/kdnssd-avahi-0.12.1-r1 stable as well.
Also, archs double check the list please. I'll do it too. Thank you
Comment 16 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-06-06 14:21:20 UTC
Created attachment 193727 [details]
Updated full list with kdnssd-avahi
Comment 17 Markus Meier gentoo-dev 2009-06-06 15:40:44 UTC
(In reply to comment #15)
> @maekke
> Sorry to bug you again but i need kde-misc/kdnssd-avahi-0.12.1-r1 stable as
> well.
> Also, archs double check the list please. I'll do it too. Thank you

done (the lists should match, as far as I can see...)
Comment 18 Christian Engels 2009-06-07 08:15:21 UTC
It seems kde-base/qtruby-3.5.10 is still ~x86.
Comment 19 Oliver Schwabedissen 2009-06-07 10:37:07 UTC
(In reply to comment #15)
> No, the upgrade is smooth, users should wait until this is fully transfered in
> their mirrors, so please sync very later today, to be sure.

Synced at 1:20am today and five minutes ago, still get

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

kde-base/kdelibs:3.5

  ('installed', '/', 'kde-base/kdelibs-3.5.9-r4', 'nomerge') pulled in by
    ~kde-base/kdelibs-3.5.9 required by ('installed', '/', 'kde-base/kpackage-3.5.9', 'nomerge')
    (and 24 more)

  ('ebuild', '/', 'kde-base/kdelibs-3.5.10-r6', 'merge') pulled in by
    ~kde-base/kdelibs-3.5.10 required by ('ebuild', '/', 'kde-base/kdebugdialog-3.5.10', 'merge')
    ~kde-base/kdelibs-3.5.10 required by ('ebuild', '/', 'kde-base/kate-3.5.10', 'merge')
    ~kde-base/kdelibs-3.5.10 required by ('ebuild', '/', 'kde-base/qtjava-3.5.10', 'merge')
    (and 191 more)

I'll give it another try on monday I think.
Comment 20 MaratIK 2009-06-08 05:26:20 UTC
> 
> I'll give it another try on monday I think.
> 

try this one:

emerge -C kde:3.5
echo "~kde-base/kdelibs-3.5.9" >> /etc/portage/package.mask
emerge kde-meta:3.5
Comment 21 David W Noon 2009-06-08 10:32:42 UTC
Ran an emerge --sync at 04:10 BST on Monday, 8th June 2009 and this is the result for an emerge -p -vuDN world:

================================================================================
Calculating dependencies  .... done!
[ebuild  N    ] media-libs/speex-1.2_beta3_p2  USE="ogg sse" 
[ebuild     U ] x11-misc/shared-mime-info-0.60 [0.51]
[ebuild     U ] x11-misc/xdg-utils-1.0.2-r3 [1.0.2-r1]
[ebuild  N    ] app-i18n/enca-1.9-r1  USE="doc" 
[ebuild     U ] dev-java/jsch-0.1.41 [0.1.37-r1]
[ebuild     U ] kde-base/arts-3.5.10 [3.5.9]
[ebuild     U ] kde-base/kdelibs-3.5.10-r6 [3.5.9-r4]
[ebuild     U ] kde-misc/kdnssd-avahi-0.1.2-r1 [0.1.2]
[ebuild  N    ] kde-base/libkonq-3.5.10  USE="-debug -kdehiddenvisibility" 
[ebuild  N    ] kde-base/kdebase-data-3.5.10  USE="-debug" 
[ebuild  N    ] kde-base/kwin-3.5.10  USE="-debug -kdehiddenvisibility -xcomposite" 
[ebuild     U ] kde-base/qtjava-3.5.10 [3.5.9]
[ebuild  N    ] kde-base/kcminit-3.5.10  USE="-debug -kdehiddenvisibility" 
[ebuild  N    ] kde-base/kdesu-3.5.10  USE="-debug -kdehiddenvisibility" 
[ebuild  N    ] kde-base/khotkeys-3.5.10  USE="-debug -kdehiddenvisibility" 
[ebuild  N    ] kde-base/kdialog-3.5.10  USE="-debug -kdehiddenvisibility" 
[ebuild  N    ] kde-base/kmenuedit-3.5.10  USE="-debug -kdehiddenvisibility" 
[ebuild     U ] kde-base/kde-i18n-3.5.10 [3.5.9] LINGUAS="-uz@cyrillic%" 
[ebuild  N    ] kde-base/kicker-3.5.10-r1  USE="-debug -kdehiddenvisibility -xcomposite" 
[ebuild  N    ] kde-base/kdebase-kioslaves-3.5.10-r1  USE="hal ldap -debug -kdehiddenvisibility -openexr -samba" 
[ebuild  N    ] kde-base/khelpcenter-3.5.10  USE="-debug -kdehiddenvisibility" 
[ebuild  N    ] kde-base/kcontrol-3.5.10  USE="arts opengl -debug -ieee1394 -joystick -kdehiddenvisibility -logitech-mouse" 
[ebuild     U ] kde-base/kdejava-3.5.10 [3.5.9]
[ebuild     U ] media-video/mplayer-1.0_rc2_p20090322 [1.0_rc2_p28450] USE="amrnb* amrwb* cdio* dvdnav* enca* faac%* faad%* nemesi* network%* rtc* schroedinger* speex* tremor%* -oss* -vdpau%" VIDEO_CARDS="-nvidia%" 
[ebuild  NS   ] dev-util/kdevelop-3.5.4-r1 [3.5.2-r1] USE="ada fortran haskell java pascal perl python ruby sql subversion -clearcase -cvs -debug -perforce -php -xinerama" 
[uninstall    ] dev-util/kdevelop-3.5.2-r1 
[blocks b     ] <dev-util/kdevelop-3.5.4-r1 ("<dev-util/kdevelop-3.5.4-r1" is blocking dev-util/kdevelop-3.5.4-r1)
[blocks B     ] kde-base/kdewebdev ("kde-base/kdewebdev" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kicker:3.5 ("kde-base/kicker:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/libkonq:3.5 ("kde-base/libkonq:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kdeedu ("kde-base/kdeedu" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kdialog:3.5 ("kde-base/kdialog:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] =kde-base/kdebase-3.5* ("=kde-base/kdebase-3.5*" is blocking kde-base/kwin-3.5.10, kde-base/kmenuedit-3.5.10, kde-base/kdebase-kioslaves-3.5.10-r1, kde-base/kdialog-3.5.10, kde-base/kdebase-data-3.5.10, kde-base/kdesu-3.5.10, kde-base/kicker-3.5.10-r1, kde-base/kcminit-3.5.10, kde-base/khotkeys-3.5.10, kde-base/khelpcenter-3.5.10, kde-base/libkonq-3.5.10, kde-base/kcontrol-3.5.10)
[blocks B     ] kde-base/kdeaccessibility ("kde-base/kdeaccessibility" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kdeaddons ("kde-base/kdeaddons" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kdesdk ("kde-base/kdesdk" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kdeutils ("kde-base/kdeutils" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kcminit:3.5 ("kde-base/kcminit:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kde ("kde-base/kde" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kdetoys ("kde-base/kdetoys" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kdebase-kioslaves:3.5 ("kde-base/kdebase-kioslaves:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kdepim ("kde-base/kdepim" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kdebase ("kde-base/kdebase" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kmenuedit:3.5 ("kde-base/kmenuedit:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kdegraphics ("kde-base/kdegraphics" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kwin:3.5 ("kde-base/kwin:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kcontrol:3.5 ("kde-base/kcontrol:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kdegames ("kde-base/kdegames" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/khotkeys:3.5 ("kde-base/khotkeys:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kdenetwork ("kde-base/kdenetwork" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kdebase-data:3.5 ("kde-base/kdebase-data:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kdemultimedia ("kde-base/kdemultimedia" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kdeadmin ("kde-base/kdeadmin" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kdesu:3.5 ("kde-base/kdesu:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kdeartwork ("kde-base/kdeartwork" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/khelpcenter:3.5 ("kde-base/khelpcenter:3.5" is blocking kde-base/kdebase-3.5.9-r4)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('installed', '/', 'kde-base/kdemultimedia-3.5.9', 'nomerge') pulled in by
    kde-base/kdemultimedia required by world
    ~kde-base/kdemultimedia-3.5.9 required by ('installed', '/', 'kde-base/kde-3.5.9', 'nomerge')
    ~kde-base/kdemultimedia-3.5.9 required by ('installed', '/', 'kde-base/kdeaddons-3.5.9', 'nomerge')

  ('installed', '/', 'kde-base/kdegraphics-3.5.9', 'nomerge') pulled in by
    ~kde-base/kdegraphics-3.5.9 required by ('installed', '/', 'kde-base/kde-3.5.9', 'nomerge')
    kde-base/kdegraphics:3.5 required by ('installed', '/', 'app-editors/kile-2.0.3-r1', 'nomerge')
    kde-base/kdegraphics required by world

  ('installed', '/', 'kde-base/kdebase-3.5.9-r4', 'nomerge') pulled in by
    kde-base/kdebase required by world
    ~kde-base/kdebase-3.5.9 required by ('installed', '/', 'kde-base/kdegames-3.5.9', 'nomerge')
    =kde-base/kdebase-3.5* required by ('installed', '/', 'x11-themes/comix-1.3.8', 'nomerge')
    (and 12 more)

  ('installed', '/', 'kde-base/kdesdk-3.5.9', 'nomerge') pulled in by
    kde-base/kdesdk required by world
    kde-base/kdesdk:3.5[subversion] required by ('ebuild', '/', 'dev-util/kdevelop-3.5.4-r1', 'merge')

  ('ebuild', '/', 'kde-base/kwin-3.5.10', 'merge') pulled in by
    >=kde-base/kwin-3.5.10:3.5 required by ('ebuild', '/', 'kde-base/kdejava-3.5.10', 'merge')

  ('installed', '/', 'kde-base/kdeartwork-3.5.9', 'nomerge') pulled in by
    kde-base/kdeartwork required by world
    =kde-base/kdeartwork-3* required by ('installed', '/', 'x11-misc/rss-glx-0.8.1-r5', 'nomerge')
    ~kde-base/kdeartwork-3.5.9 required by ('installed', '/', 'kde-base/kde-3.5.9', 'nomerge')

  ('installed', '/', 'kde-base/kde-3.5.9', 'nomerge') pulled in by
    kde-base/kde required by world

  ('ebuild', '/', 'kde-base/kdelibs-3.5.10-r6', 'merge') pulled in by
    ~kde-base/kdelibs-3.5.10 required by ('ebuild', '/', 'kde-base/qtjava-3.5.10', 'merge')
    =kde-base/kdelibs-3.5* required by ('installed', '/', 'dev-util/kdbg-2.1.0', 'nomerge')
    =kde-base/kdelibs-3.5* required by ('installed', '/', 'media-video/kaffeine-0.8.6', 'nomerge')
    (and 43 more)

  ('ebuild', '/', 'kde-base/kcontrol-3.5.10', 'merge') pulled in by
    >=kde-base/kcontrol-3.5.10:3.5 required by ('ebuild', '/', 'kde-base/kdejava-3.5.10', 'merge')
================================================================================

Note that this machine is running monolithic KDE, not modular kde-meta, and I wish it to remain that way.

There are so many blockers that it might be simplest to uninstall KDE 3.5.9 and install 3.5.10 fresh.
Comment 22 Oliver Schwabedissen 2009-06-08 16:58:30 UTC
(In reply to comment #20)
> > 
> > I'll give it another try on monday I think.
> > 
> 
> try this one:
> 
> emerge -C kde:3.5
> echo "~kde-base/kdelibs-3.5.9" >> /etc/portage/package.mask
> emerge kde-meta:3.5
> 

I still had thze same messages today, but found that I was able to upgrade to KDE 3.5.10 by dropping the --deep (-D) on emerge.

Using "emerge -auvqN world" KDE 3.5.10 was installed without many problems.

Problems still open after upgrading:

For some reason kdesdk-kioslaves (required by kdesvn-1.0.5) wasn't updated, although version 3.5.10 is available. I fixed this by emerging kdesdk-kioslaves manually: emerge -auvq1 kdesdk-kioslaves

The last problem is kde-base/kpackage. The stable version is  kpackage-3.5.9, version 3.5.10 is still unstable. Why?

I'll unmerge kpackage for the moment, because it still requires kdelibs-3.5.9.


Comment 23 MaratIK 2009-06-08 17:18:43 UTC
(In reply to comment #22)

> The last problem is kde-base/kpackage. The stable version is  kpackage-3.5.9,
> version 3.5.10 is still unstable. Why?
> 
> I'll unmerge kpackage for the moment, because it still requires kdelibs-3.5.9.
> 

It seems it was forgotten to stabilize. You can add =kde-base/kpackage-3.5.10 to the /etc/portage/package.keywords
Comment 24 Oliver Schwabedissen 2009-06-08 17:33:41 UTC
(In reply to comment #23)
> It seems it was forgotten to stabilize. You can add =kde-base/kpackage-3.5.10
> to the /etc/portage/package.keywords

I know, but I and my system can live without kpackage for the moment.

Will stabilization of kpackage be handled by this bug or should I file a new bug?  
Comment 25 Gordon Malm (RETIRED) gentoo-dev 2009-06-10 00:13:38 UTC
=kde-base/kdat-3.5.10 also needs to go stable.
Comment 26 Oliver Schwabedissen 2009-06-10 05:04:55 UTC
And these too:

* kde-base/dcopc
     Available versions:  (3.5)  3.5.9 ~3.5.10
--
* kde-base/dcopjava
     Available versions:  (3.5)  3.5.9 ~3.5.10
--
* kde-base/kmrml
     Available versions:  (3.5)  3.5.9 ~3.5.10
--
* kde-base/korundum
     Available versions:  3.5.9 ~3.5.10
--
* kde-base/ksysv
     Available versions:  (3.5)  3.5.9 ~3.5.10
--
* kde-base/qtruby
     Available versions:  3.5.9 ~3.5.10
Comment 27 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-06-10 09:56:01 UTC
Created attachment 194097 [details]
Output of the oneliner
Comment 28 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-06-10 09:56:37 UTC
@arch teams
find /usr/portage/kde-base/ -iname "*3.5.10*ebuild" | sort |  while read i; do i=${i/*\//}; i=${i/.ebuild/}; echo $i; done
i have kept the last revisions (apart from kitchensync), triple check your list please :)
(@ maekke: sorry but i'll have to CC you again, CC the archs if you want)

@ David W Noon:
you are still using monolithic ebuilds. Please remove them and install the split ebuilds.

@ everyone who pointed the missing ebuilds: Many thanks
Comment 29 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-06-10 10:14:47 UTC
Another gift for the arch teams:

export A="amd64"; find /usr/portage/kde-base/ -iname "*3.5.10*ebuild" | sort | while read i; do j="${i/*\//}"; j="${j/.ebuild/}"; grep "^KEYWORDS" $i | grep "~$A" &>/dev/null && echo "$j: $A TESTING" || echo "$j: $A STABLE"; done

(made by Alex Alexander, bug 269977)

He may improve it to check only the packages we want
Comment 30 Alex Alexander (RETIRED) gentoo-dev 2009-06-10 11:42:43 UTC
I created a script that checks keyword status for the arch of your choice for all kde 3.5.10 ebuilds + 2 deps.

Its messy (that happens when you write stuff quickly) but works with pretty colors and all:

download it: http://dev.gentooexperimental.org/~wired/kde3check
view it: http://dev.gentooexperimental.org/~wired/kde3check.txt

edit it to change portage's location if its not /usr/portage
to use it: ./kde3check arch

also here's a "one-liner" version that doesn't check the 2 extra deps (it has all the pretty colors though). don't forget to change the ARCH= variable to the arch you want to check.

export ARCH="amd64"; find /usr/portage/kde-base/ -type d | sort | while read i; do E=`ls $i/ | grep "3.5.10" | grep "ebuild$" | sort | tail -1`; [[ ${E/-3.5*/} == kitchensync ]] && E="kitchensync-3.5.10.ebuild"; if [[ `grep "^KEYWORDS" $i/$E | grep "~$ARCH[ \"]"` ]]; then echo -e "\e[33m$E $ARCH TESTING"; else if [[ `grep "^KEYWORDS" $i/$E | grep "$ARCH[ \"]"` ]]; then echo -e "\e[32m$E $ARCH STABLE"; else [[ -n $E ]] && echo -e "\e[31m$E $ARCH NOT KEYWORDED"; fi; fi; done
Comment 31 Alex Alexander (RETIRED) gentoo-dev 2009-06-10 14:16:40 UTC
that one-liner got all screwed up when I submitted it here, so you can get it here:

http://dev.gentooexperimental.org/~wired/kde3check_oneliner.txt
Comment 32 Whitney 2009-06-10 17:11:03 UTC
I'm still seeing the following blocks (sync'ed about an hour ago):

[blocks B     ] kde-base/kdepim ("kde-base/kdepim" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kdemultimedia ("kde-base/kdemultimedia" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kdeadmin ("kde-base/kdeadmin" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kdebase ("kde-base/kdebase" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kdegraphics ("kde-base/kdegraphics" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kdeartwork ("kde-base/kdeartwork" is blocking kde-base/kdelibs-3.5.10-r6)
[blocks B     ] kde-base/kdeutils ("kde-base/kdeutils" is blocking kde-base/kdelibs-3.5.10-r6)                                  

Do I need to emerge -C these packages by hand?  Also I notice that there is no kdebase-3.5.10.  I assume this is by design; could we get a news item sent out when such a big change is made to the package structure?

Lastly, why have you completely removed older versions from the tree (specifically ktorrent-2.2.8, and whatever version of amarok came before amarok-1.4.10-r2)?  I accidentally upgraded amarok while all other 3.5.10 kde builds were masked, and now it's broken and I can't downgrade.  Please do not remove old versions until the upgrade path is stable, if at all possible.
Comment 33 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-06-10 21:53:06 UTC
(In reply to comment #32)
> I'm still seeing the following blocks (sync'ed about an hour ago):
> 
> [blocks B     ] kde-base/kdepim ("kde-base/kdepim" is blocking
> kde-base/kdelibs-3.5.10-r6)
> [blocks B     ] kde-base/kdemultimedia ("kde-base/kdemultimedia" is blocking
> kde-base/kdelibs-3.5.10-r6)
> [blocks B     ] kde-base/kdeadmin ("kde-base/kdeadmin" is blocking
> kde-base/kdelibs-3.5.10-r6)
> [blocks B     ] kde-base/kdebase ("kde-base/kdebase" is blocking
> kde-base/kdelibs-3.5.10-r6)
> [blocks B     ] kde-base/kdegraphics ("kde-base/kdegraphics" is blocking
> kde-base/kdelibs-3.5.10-r6)
> [blocks B     ] kde-base/kdeartwork ("kde-base/kdeartwork" is blocking
> kde-base/kdelibs-3.5.10-r6)
> [blocks B     ] kde-base/kdeutils ("kde-base/kdeutils" is blocking
> kde-base/kdelibs-3.5.10-r6)                                  
> 
> Do I need to emerge -C these packages by hand?  Also I notice that there is no
> kdebase-3.5.10.  I assume this is by design; could we get a news item sent out
> when such a big change is made to the package structure?

As has been explained and announced by the KDE team a few times, monolithic packages were dropped for 3.5.10. You'll have to replace them with the split packages (so you will need to remove them and add whatever split packages you want to use).

> Lastly, why have you completely removed older versions from the tree
> (specifically ktorrent-2.2.8, and whatever version of amarok came before
> amarok-1.4.10-r2)?  I accidentally upgraded amarok while all other 3.5.10 kde
> builds were masked, and now it's broken and I can't downgrade.  Please do not
> remove old versions until the upgrade path is stable, if at all possible.

The kde-misc packages were broken by a required update of the KDE3 eclasses that moved them into /usr/kde/3.5 to prevent the blocks/collisions with the new versions meant for KDE4.
Comment 34 Tomáš Chvátal (RETIRED) gentoo-dev 2009-06-11 09:48:48 UTC
*** Bug 273139 has been marked as a duplicate of this bug. ***
Comment 35 Joseph D. Wieber, Jr. 2009-06-11 12:25:59 UTC
Created attachment 194238 [details]
List of kde 3.5.10 blockers

I just synced this morning (6/11/09) and I still have many blockers on an AMD64 system. The attached file shows the results of emerge -auDvN world. How do we fix this? Is it still to be fixed if we wait for the mirrors to catch up, or is there a possibility my system is built bad?
Comment 36 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-06-11 14:13:32 UTC
Adding x86 and amd64 instead of maekke, as this is somehow important.

@Joseph D. Wieber, Jr.
Please read comment 32
Comment 37 Christian Faulhammer (RETIRED) gentoo-dev 2009-06-11 15:14:40 UTC
x86/amd64 stable
Comment 38 Jeroen Roovers gentoo-dev 2009-06-18 05:34:06 UTC
Stable for HPPA.
Comment 39 Alexis Ballier gentoo-dev 2009-06-18 12:28:15 UTC
why is bsd in cc here???
Comment 40 Alexis Ballier gentoo-dev 2009-06-18 12:28:49 UTC
bsd doesnt do stable keywords, readd us if its for something else.
Comment 41 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-06-18 12:42:18 UTC
(In reply to comment #0)
> This is the last KDE 3 version and it is time to be stabilized.
> Target ARCHs are alpha, amd64, hppa, ia64, ~mips, ppc, ppc64, sparc, x86,
> ~x86-fbsd

I know that you don't have stable keywords :)
According to the script (comment 30) this list http://dpaste.com/56775/ contains ebuilds that should be keyworded for ~x86-fbsd. Please double check. Thanks

Comment 42 Jeroen Roovers gentoo-dev 2009-06-22 14:15:13 UTC
I missed all of the kdesdk-meta deps.
Comment 43 Jeroen Roovers gentoo-dev 2009-06-23 06:31:33 UTC
kde-base/kdesdk-meta-3.5.10 and deps are now stable for HPPA.
Comment 44 Alexis Ballier gentoo-dev 2009-06-25 14:53:30 UTC
(In reply to comment #41)
> (In reply to comment #0)
> > This is the last KDE 3 version and it is time to be stabilized.
> > Target ARCHs are alpha, amd64, hppa, ia64, ~mips, ppc, ppc64, sparc, x86,
> > ~x86-fbsd
> 
> I know that you don't have stable keywords :)
> According to the script (comment 30) this list http://dpaste.com/56775/
> contains ebuilds that should be keyworded for ~x86-fbsd. Please double check.

arts has an automagic dep on alsa and fails to build with gcc 4.3 if it is disabled. Please fix that first, I can't proceed with that list on BSD.
Comment 45 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-06-25 15:12:50 UTC
I told you on IRC that day that i'd prefer the solution to be tested first and then commited, anywayz, i commited it right now, have fun and hit me back for future issues
Comment 46 Brent Baude (RETIRED) gentoo-dev 2009-06-28 13:37:32 UTC
ppc64 done
Comment 47 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-06-29 14:21:24 UTC
@ppc64:
you are missing the following:
kde-misc/kdnssd-avahi/kdnssd-avahi-0.1.2-r1.ebuild ppc64 TESTING
kde-base/certmanager/certmanager-3.5.10-r1.ebuild ppc64 TESTING
kde-base/dcopc/dcopc-3.5.10.ebuild ppc64 TESTING
kde-base/dcopjava/dcopjava-3.5.10.ebuild ppc64 TESTING
kde-base/dcopperl/dcopperl-3.5.10.ebuild ppc64 TESTING
kde-base/kandy/kandy-3.5.10-r1.ebuild ppc64 TESTING
kde-base/kdat/kdat-3.5.10.ebuild ppc64 TESTING
kde-base/kdebindings-meta/kdebindings-meta-3.5.10.ebuild ppc64 TESTING
kde-base/kdelibs/kdelibs-3.5.10-r6.ebuild ppc64 TESTING
kde-base/kdelirc/kdelirc-3.5.10.ebuild ppc64 TESTING
kde-base/kmrml/kmrml-3.5.10.ebuild ppc64 TESTING
kde-base/kopete/kopete-3.5.10-r4.ebuild ppc64 TESTING
kde-base/korundum/korundum-3.5.10.ebuild ppc64 TESTING
kde-base/kpackage/kpackage-3.5.10.ebuild ppc64 TESTING
kde-base/kpdf/kpdf-3.5.10-r1.ebuild ppc64 TESTING
kde-base/ksystraycmd/ksystraycmd-3.5.10-r1.ebuild ppc64 TESTING
kde-base/ksysv/ksysv-3.5.10.ebuild ppc64 TESTING
kde-base/libkdenetwork/libkdenetwork-3.5.10-r1.ebuild ppc64 TESTING
kde-base/qtruby/qtruby-3.5.10.ebuild ppc64 TESTING

You can run the script in comment 30 to verify yourself. Thanks
Comment 48 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-06-29 14:27:35 UTC
It seems that an important patch was added in libkdenetwork, so i'll have to CC again the finished arch's to stabilize the -r1 version. Again, sorry for the noise
Comment 49 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-06-29 14:30:19 UTC
(fail :P) amd64/x86/hppa: check previous msg :)
Comment 50 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-06-29 14:32:38 UTC
libkdenetwork-3.5.10-r1 AND certmanager-3.5.10-r1
Comment 51 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-06-29 14:34:52 UTC
@hppa:
you are also missing some packages:
kde-base/dcopc/dcopc-3.5.10.ebuild hppa NOT KEYWORDED
kde-base/dcopjava/dcopjava-3.5.10.ebuild hppa NOT KEYWORDED
kde-base/dcopperl/dcopperl-3.5.10.ebuild hppa NOT KEYWORDED
kde-base/dcoppython/dcoppython-3.5.10.ebuild hppa NOT KEYWORDED
kde-base/kdat/kdat-3.5.10.ebuild hppa NOT KEYWORDED
kde-base/kdebindings-meta/kdebindings-meta-3.5.10.ebuild hppa NOT KEYWORDED
kde-base/kdejava/kdejava-3.5.10.ebuild hppa NOT KEYWORDED
kde-base/kdelirc/kdelirc-3.5.10.ebuild hppa NOT KEYWORDED
kde-base/kjsembed/kjsembed-3.5.10.ebuild hppa NOT KEYWORDED
kde-base/kmrml/kmrml-3.5.10.ebuild hppa NOT KEYWORDED
kde-base/korundum/korundum-3.5.10.ebuild hppa NOT KEYWORDED
kde-base/kpackage/kpackage-3.5.10.ebuild hppa NOT KEYWORDED
kde-base/kpilot/kpilot-3.5.10.ebuild hppa NOT KEYWORDED
kde-base/ksysv/ksysv-3.5.10.ebuild hppa NOT KEYWORDED
kde-base/kwifimanager/kwifimanager-3.5.10.ebuild hppa NOT KEYWORDED
kde-base/lilo-config/lilo-config-3.5.10.ebuild hppa NOT KEYWORDED
kde-base/qtjava/qtjava-3.5.10.ebuild hppa NOT KEYWORDED
kde-base/qtruby/qtruby-3.5.10.ebuild hppa NOT KEYWORDED
kde-base/smoke/smoke-3.5.10.ebuild hppa NOT KEYWORDED
kde-base/certmanager/certmanager-3.5.10-r1.ebuild hppa TESTING
kde-base/kalyptus/kalyptus-3.5.10.ebuild hppa TESTING
kde-base/libkdenetwork/libkdenetwork-3.5.10-r1.ebuild hppa TESTING
Comment 52 Jeroen Roovers gentoo-dev 2009-06-29 20:22:53 UTC
(In reply to comment #48)
> It seems that an important patch was added in libkdenetwork, so i'll have to CC
> again the finished arch's to stabilize the -r1 version. Again, sorry for the
> noise

Working on that.

(In reply to comment #51)
> @hppa:
> you are also missing some packages:
> kde-*/* hppa NOT KEYWORDED
> kde-base/kalyptus/kalyptus-3.5.10.ebuild hppa TESTING

That's alright. They're the kdebindings-meta deps and they would pull in java stuff which hppa simply cannot support right now. kalyptus was the fruit of an attempt to get kdebindings-meta keyworded, so I'll work on that too - no sense in dropping it now, or is there?

> kde-base/certmanager/certmanager-3.5.10-r1.ebuild hppa TESTING
> kde-base/libkdenetwork/libkdenetwork-3.5.10-r1.ebuild hppa TESTING

See above (you only just bumped those!! ;-).

> kde-base/kalyptus/kalyptus-3.5.10.ebuild hppa TESTING
Comment 53 Christian Faulhammer (RETIRED) gentoo-dev 2009-06-30 08:29:31 UTC
x86 stable
Comment 54 Markus Meier gentoo-dev 2009-07-05 21:16:37 UTC
amd64 stable
Comment 55 Alexey Shvetsov gentoo-dev 2009-07-09 13:06:14 UTC
~mips keyworded
Comment 56 Raúl Porcel (RETIRED) gentoo-dev 2009-07-12 14:56:19 UTC
alpha/ia64/sparc should be stable
Comment 57 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-07-27 22:43:54 UTC
(In reply to comment #56)
> alpha/ia64/sparc should be stable

You should also stabilize:
kde-base/certmanager-3.5.10-r1
kde-base/libkdenetwork-3.5.10-r1
Comment 58 Tiago Cunha (RETIRED) gentoo-dev 2009-07-28 08:42:31 UTC
sparc stable
Comment 59 Raúl Porcel (RETIRED) gentoo-dev 2009-07-28 17:12:35 UTC
alpha/ia64 stable
Comment 60 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-08-25 14:45:31 UTC
Sorry but i'll have to add you all again and ping you as well. I am going to attach a new list with new/updated/missing/testing/not keyworded packages for each architecture.
Thank you all for your hard work.

Also, since KDE 3 is in pretty good state, i'd also like to ask from Jorge (the boss) the permission to mask kde3 monolithic ebuilds.
Comment 61 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-08-25 14:46:08 UTC
Created attachment 202252 [details]
Updated list with missing kde3 packages for each arch
Comment 62 Christian Faulhammer (RETIRED) gentoo-dev 2009-08-25 14:51:06 UTC
x86 done again.
Comment 63 Jeroen Roovers gentoo-dev 2009-08-25 15:08:03 UTC
   Stable for HPPA:
kde-base/certmanager/certmanager-3.5.10-r1.ebuild hppa TESTING
kde-base/kalyptus/kalyptus-3.5.10.ebuild hppa TESTING
kde-base/libkdenetwork/libkdenetwork-3.5.10-r1.ebuild hppa TESTING

   Not marked stable for HPPA:
kde-base/kdesdk-scripts/kdesdk-scripts-3.5.10-r1.ebuild hppa TESTING
(fixes a collision with colorsvn that isn't keyworded for HPPA, committed only 9 days ago, bug #275069)

All the other packages not marked HPPA appear to be dependencies of kde-base/kdebindings-meta/kdebindings-meta-3.5.10 which isn't needed for kde-base/kde-meta-3.5.10 and which would pull in all kinds of Java packages that simply haven't been ported yet.
Comment 64 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-08-25 20:43:35 UTC
(In reply to comment #60)
> Also, since KDE 3 is in pretty good state, i'd also like to ask from Jorge (the
> boss) the permission to mask kde3 monolithic ebuilds.

Seems a good idea. It's about time people upgrade to 3.5.10 and get ready for KDE-4.
Comment 65 Markus Meier gentoo-dev 2009-09-05 22:42:49 UTC
amd64 stable
Comment 66 Raúl Porcel (RETIRED) gentoo-dev 2009-09-06 11:35:06 UTC
And why do we have to do that? If they weren't keyworded/stabilized it was for a reason :)
Comment 67 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-09-06 13:24:26 UTC
Totally acceptable. Just double-check the list in case you actually forgot something for your archs, and if not, remove your archs again. Thanks
Comment 68 Raúl Porcel (RETIRED) gentoo-dev 2009-09-12 09:40:15 UTC
alpha/ia64/sparc is okay
Comment 69 Samuli Suominen gentoo-dev 2009-10-27 19:11:33 UTC
No need to stable anything KDE3 anymore. About to be removed from tree.